• Error: antergos-common-meta: signature from "Antergos Build Server


    Error: antergos-common-meta: signature from “Antergos Build Server (Automated Package Build System) [email protected]” is invalid
    Error: copyq: signature from “Antergos Build Server (Automated Package Build System) [email protected]” is invalid

    KDE

  • I got this error too when trying to install Wine. Refreshing database in Pamac (v7.3.4) also failed with this error.

  • signature should work now, as i can do the full update without issue here now…

  • Just tried refreshing database again in pamac, still got error.

  • @gregorius check your mirrors for Antergos // /etc/pacman.d/antergos-mirrorlist
    may outdated…

    https://mirror-status.antergos.com/

  • I can’t paste the contents of my antergos-mirrorlist file, this forum’s spam filter prevented me to post it. But I can tell it looks fine, the contents looks like the 2nd post from this thread: https://forum.antergos.com/topic/8999/failed-to-update-antergos-no-servers-configured-for-repository/2

  • I run sudo pacman -Syyu, and saw 404 errors on retrieving antergos-common-meta-1.4-1-any.pkg.tar.xz from antergos mirror url (I want to post the error log here but again this forum spam filter prevented me to do it since it contains url)

    It looks like antergos-common-meta-1.4-1-any.pkg.tar.xz package is not found, I went to that mirror site and saw there is antergos-common-meta-1.4-2-any.pkg.tar.xz instead, looks like pacman/pamac still expects old version v1.4.1. So how to make the pacman/pamac to upgrade antergos-common-meta to v1.4.2 instead ? Should I just upgrade it manually ?

  • Ok I decided to upgrade the antergos-common-meta to v1.4.2 manually with pacman -U command and it solved the issue.

  • Pamac gave optional possibility to refresh datase… Commonly there are more tgen one mirror from where it reads…

    I do use ranked mirrors so i do not hacy outdated or failing ones in my list.

  • The refresh itself failed in pamac, I guess the refresh process itself is trying to pull antergos meta 1.4.1 but failed since the 1.4.1 package is not found in the mirror site.

  • you may do not update for longer time?

  • @Ant

    Hi!

    If you have reflector installed runsudo haveged -w 1024; sudo pacman-key --init; sudo pacman-key --populate; sudo pacman-key --refresh-keys; sudo pkill haveged; sudo cp /etc/pacman.d/mirrorlist /etc/pacman.d/mirrorlist.bak; sudo reflector --verbose --age 8 --fastest 128 --latest 64 --number 32 --sort rate --save /etc/pacman.d/mirrorlist; sudo pacman -Syy

    If you don’t simply run sudo pacman-key --init; sudo pacman-key --populate; sudo pacman-key --refresh-keys; sudo pacman -Syy

    then try to update your system again, it should work.

  • @fernandomaroto but this will not rank Antergos mirrors 👁
    https://github.com/manuel-192/remirror

  • @joekamprad said in Error: antergos-common-meta: signature from "Antergos Build Server:

    @fernandomaroto but this will not rank Antergos mirrors
    https://github.com/manuel-192/remirror

    You’re right. i’ve never actually ranked Antergos mirrors here…

  • I updated the system regularly. I did run sudo pacman-key --init; sudo pacman-key --populate; sudo pacman-key --refresh-keys; before running sudo pacman -Syyu, the latter command is the one that giving the hint of antergos-common-meta-1.4-1 issue. Pamac’s failed refresh process only shows invalid/corrupted package message pop-up without the details.

  • Still getting this problem with antergos-common-meta (1.4-2-any)… it wont allow anything to update even if I clear the cache refresh database and deselect it.

    also getter following warning unsure if connected
    Warning: python2-mutagen: local (1.42.0-2) is newer than antergos (1.38-2)

    I am unsure how to rank mirrors

    Kindly advise
    thanks

  • OK i think I got it sorted now .
    My klipper was playing up and i installed an application called copyq.
    Uninstalling that app appears to have done the trick

error338 signature24 Posts 17Views 400
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.